## org.jboss.metadata
Class EnvEntryMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.EnvEntryMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class EnvEntryMetaData
extends MetaData

<description>

Version:
  $Revision: 1.3.4.2 $
Author:
  Sebastien Alborini
See Also:
  <related>

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`EnvEntryMetaData()`

Method Summary
`static void` `bindEnvEntry(javax.naming.Context ctx, EnvEntryMetaData entry)`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`
`void` `importEjbJarXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvEntryMetaData

    public EnvEntryMetaData()

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getValue

    public java.lang.String getValue()

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`

### bindEnvEntry

    public static void bindEnvEntry(javax.naming.Context ctx,
                                    EnvEntryMetaData entry)
                             throws java.lang.ClassNotFoundException,
                                    javax.naming.NamingException

Copyright © 2000 The JBoss Organization. All Rights Reserved.